services:
  whisper-webui:
    container_name: whisper-webui
    build: .
    image: registry.cloudclusters.net/public/whisper-webui:v1.0.7

      #    volumes:
      #      # You can mount the container's volume paths to directory paths on your local machine.
      #      # Models will be stored in the `./models' directory on your machine.
      #      # Similarly, all output files will be stored in the `./outputs` directory.
      #      - ./models:/Whisper-WebUI/models
      #      - ./outputs:/Whisper-WebUI/outputs
      #      - ./configs:/Whisper-WebUI/configs

    ports:
      - "7860:7860"

    stdin_open: true
    tty: true

    entrypoint: ["python", "app.py", "--server_port", "7860", "--server_name", "0.0.0.0",]

    # If you're not using nvidia GPU, Update device to match yours.
    # See more info at : https://docs.docker.com/compose/compose-file/deploy/#driver
    # You can remove the entire `deploy' section if you are using CPU.
    deploy:
      resources:
        reservations:
          devices:
            - driver: nvidia
              count: all
              capabilities: [ gpu ]
